Qore Mime Module Reference 1.3.1

- Main Page
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
MultiPartMessage Constants

## Variables
const | Mime::MPT_ALTERNATIVE = "alternative"
| for sending multiple "alternatives" of the same content (http://tools.ietf.org/html/rfc2046#section-5.1.4)
const | Mime::MPT_BYTERANGES = "byteranges"
| for sending noncontiguous byte ranges of a single message (http://tools.ietf.org/html/rfc2616)
const | Mime::MPT_DIGEST = "digest"
| for sending multiple text messages (http://tools.ietf.org/html/rfc2046#section-5.1.5)
const | Mime::MPT_ENCRYPTED = "encrypted"
| for sending encrypted messages (http://tools.ietf.org/html/rfc1847#section-2.2)
const | Mime::MPT_FORM_DATA = "form-data"
| for form data (http://tools.ietf.org/html/rfc1867, http://tools.ietf.org/html/rfc2388)
const | Mime::MPT_MESSAGE = "message"
| for email/MIME messages with headers (http://tools.ietf.org/html/rfc2046)
const | Mime::MPT_MIXED = "mixed"
| for sending files with different "Content-Type" headers (http://tools.ietf.org/html/rfc2046#section-5.1.3)
const | Mime::MPT_RELATED = "related"
| for sending multiple components of an aggregated whole (http://tools.ietf.org/html/rfc2387)
const | Mime::MPT_SIGNED = "signed"
| to attach a digital signature to a message (http://tools.ietf.org/html/rfc1847#section-2.1)

## Detailed Description